ChangeSet 1.1007, 2003/02/20 12:03:09-08:00, andrew.wood@ivarch.com

[PATCH] USB: USB-MIDI support for Roland SC8820

Please find attached a patch against kernel 2.4.20 which adds support for
the Roland SC8820 to the USB MIDI driver. It just adds another ID to the
list of supported devices.

Although Roland have discontinued this product they do still produce a
development board on request using this chipset, and there are a few SC8820
boxes still around, so other people may find this patch useful.


diff -Nru a/drivers/usb/usb-midi.h b/drivers/usb/usb-midi.h
--- a/drivers/usb/usb-midi.h	Thu Feb 20 12:06:44 2003
+++ b/drivers/usb/usb-midi.h	Thu Feb 20 12:06:44 2003
@@ -41,6 +41,7 @@
 #define USBMIDI_ROLAND_UA100G		0x0000
 #define USBMIDI_ROLAND_MPU64		0x0002
 #define USBMIDI_ROLAND_SC8850		0x0003
+#define USBMIDI_ROLAND_SC8820		0x0007
 #define USBMIDI_ROLAND_UM2		0x0005
 #define USBMIDI_ROLAND_UM1		0x0009
 #define USBMIDI_ROLAND_PC300		0x0008
@@ -102,6 +103,13 @@
     USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_SC8850, 2, -1,
     { { 0x81, 15 }, {-1, -1} }, /** cables 0,1,2, and 3 **/
     { { 0x01, 15 }, {-1, -1} },
+  },
+
+  { /* Roland SC8820 */
+    "Roland SC8820",
+    USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_SC8820, 2, -1,
+    { { 0x81, 17 }, {-1, -1} },
+    { { 0x01, 17 }, {-1, -1} },
   },
 
   { /* YAMAHA MU1000 */
